Bug 244164 - gmpc always displays notification popup
Summary: gmpc always displays notification popup
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gmpc   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-14 09:29 UTC by Jan "Yenya" Kasprzak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-16 09:21:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 2007-06-14 09:29:32 UTC
Description of problem:
gmpc shows the notification popup even though it is disabled in Preferences.

Version-Release number of selected component (if applicable):
gmpc-0.14.0-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. run gmpc, connect it to its mpd server
2. Go to menu: Music/Preferences/Notification
3. uncheck the "PopUp Enable" checkbox
4. move the cursor over the gmpc notification area icon
  
Actual results:
The popup with the song info appears

Expected results:
No popup should appear

Additional info:
The popup is always displayed regardless of the menu settings (I have tried
checking and unchecking the "Enable" checkbox, no change).
I have a x86_64 workstation, but I doubt it is architecture-related.

Comment 1 Adrian Reber 2007-06-16 09:21:28 UTC
From my point of view NOTABUG.

If "PopUp Enable" is unchecked no popup shows when the next song is played (at
least on my system). The popup still appears when I move the cursor over the
notification area, but from my point of view this exactly what I would want to have.

If you still think the behavior should be different you should best discuss this
with upstream.

Comment 2 Jan "Yenya" Kasprzak 2007-06-18 13:00:39 UTC
All sane popups in the notification area have a delay of - say - a second or
two. Getting the popup every time I move the mouse over the notification area
(without actually holding the mouse over the notification icon for some time) is
pretty annoying, especially that (unlike other tooltips) the gmpc's popup stays
on for few seconds by default.

But if you thing it is NOTABUG, I will probably discuss this with upstream, when
I get time :-)



Note You need to log in before you can comment on or make changes to this bug.